import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/blade-transport/transport-change-record/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    },
  });
};

export const getDetail = id => {
  return request({
    url: '/blade-transport/transport-change-record/detail',
    method: 'get',
    params: {
      id,
    },
  });
};

export const remove = ids => {
  return request({
    url: '/blade-transport/transport-change-record/remove',
    method: 'post',
    params: {
      ids,
    },
  });
};

export const add = row => {
  return request({
    url: '/blade-transport/transport-change-record/submit',
    method: 'post',
    data: row,
  });
};

export const update = row => {
  return request({
    url: '/blade-transport/transport-change-record/submit',
    method: 'post',
    data: row,
  });
};
